1 ## Data files for some tests. Not used in the automake build system.
3 ## Copyright (C) 2011 Free Software Foundation, Inc.
5 ## This program is free software; you can redistribute it and/or modify
6 ## it under the terms of the GNU General Public License as published by
7 ## the Free Software Foundation; either version 2, or (at your option)
10 ## This program is distributed in the hope that it will be useful,
11 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
12 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 ## GNU General Public License for more details.
15 ## You should have received a copy of the GNU General Public License
16 ## along with this program. If not, see <http://www.gnu.org/licenses/>.
19 @fatal () { echo "$@: $$*" >&2; exit 1; }; \
20 $(am__cd) $(distdir) && chmod u+w . && mkdir _m4 \
21 || fatal "cannot setup distdir"; \
22 $(ACLOCAL) -I _m4 $(ACLOCAL_AMFLAGS) --install --output=_am.m4 \
23 || fatal "cannot regenerate aclocal.m4"; \
24 lst=`ls _m4 | tr '\012\015' ' '`; \
25 if test -n "$$lst"; then \
26 fatal "required m4 files not distributed or outdated: $$lst"; \
28 $(AUTOCONF) -o /dev/null || fatal "can't remake configure"; \
29 rm -rf _m4 _am.m4 autom4te.cache && chmod a-w . \
30 || fatal "cannot reset distdir"